System.Xml 2.0.0.0 4.0.0.0 System.Object To be added.

Creates typed versions of the for more efficient serialization.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` To be added.

  Returns a derivation of the class that is used to serialize the specified type.

  A derivation of the class that is specifically created to serialize the specified type.

  The to serialize.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` To be added.

  Returns a derivation of the class using an object that maps one type to another.

  A derivation of the class that is specifically created to serialize the mapped type.

  An that maps one type to another.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` `` To be added.

  Returns a derivation of the class that is used to serialize the specified type and namespace.

  A derivation of the class that is specifically created to serialize the specified type.

  The to serialize. The default namespace to use for all the XML elements.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` ``

  Calling this overload is similar to calling the to create an instance of the class.

  Returns a derivation of the class that is used to serialize the specified type. If a property or field returns an array, the parameter specifies objects that can be inserted into the array.

  A derivation of the .

  The to serialize. A array of additional object types to serialize.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` ``

  Calling this overload is similar to calling the to create an instance of the class.

  Returns a derivation of the class that can serialize objects of the specified type into XML documents, and vice versa. Each object to be serialized can itself contain instances of classes, which this overload can override with other classes.

  A derivation of the .

  The to serialize. An that contains fields that override the default serialization behavior.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` ``

  Calling this overload is similar to calling the to create an instance of the class.

  Returns a derivation of the class that can serialize objects of the specified type into XML documents, and vice versa. Specifies the object that represents the XML root element.

  A derivation of the .

  The to serialize. An that represents the XML root element.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` `` `` `` ``

  Calling this overload is similar to calling the to create an instance of the class.

  Returns a derivation of the class that can serialize objects of the specified type into XML document instances, and vice versa. Each object to be serialized can itself contain instances of classes, which this overload can override with other classes. This overload also specifies the default namespace for all the XML elements, and the class to use as the XML root element.

  A derivation of the .

  The to serialize. An that contains fields that override the default serialization behavior. A array of additional object types to serialize. An that represents the XML root element. The default namespace of all XML elements in the XML document.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlSerializer `` `` `` `` `` `` ``

  Calling this overload is similar to calling the to create an instance of the class.

  Returns a derivation of the class that can serialize objects of the specified type into XML document instances, and vice versa. Each object to be serialized can itself contain instances of classes, which this overload can override with other classes. This overload also specifies the default namespace for all the XML elements, and the class to use as the XML root element.

  A derivation of the .

  The of the object that this can serialize. An that extends or overrides the behavior of the class specified in the type parameter. A array of additional object types to serialize. An that defines the XML root element properties. The default namespace of all XML elements in the XML document. The path that specifies the location of the types. An instance of the class that contains credentials needed to access types.